### Method

# AppStream Artifact set_filename

#### Declaration [src]

    void
    as_artifact_set_filename (
      AsArtifact* artifact,
      const gchar* filename
    )

#### Description [src]

Sets a suggested filename for this artifact after it has been downloaded.

#### Parameters

`filename`

  Type: `const gchar*`

  The file name suggestion.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.